#include<iostream>
#include<cstring>
using namespace std;
int dylgina(char arr[])
{
    int a=0;
    for(int i=0;arr[i]!='\0';i++)
    {
        a++;
    }
    return a;
}
void izhod(int updown,int leftright)
{
    if(updown!=0){

        if(updown<0){
            for(int j=0;j>updown;j--){
                cout<<"U";
            }
        }else{
        for(int j=0;j<updown;j++){
                cout<<"D";
            }
        }
    }
    if(leftright!=0){
        if(leftright<0){
            for(int j=0;j>leftright;j--){
                cout<<"L";
            }
        }else{
        for(int j=0;j<leftright;j++){
                cout<<"R";
            }
        }
    }
}
void namiranenarazlika(char arr[])
{

        int dylyg=dylgina(arr);
    int nagoreinadolu=0,nadqsnoinalqwo=0;
    for(int i=0; i<dylyg; i++)
    {
        if(arr[i]=='U')
        {
            nagoreinadolu=nagoreinadolu+1;

        } else if(arr[i]=='D')
        {
            nagoreinadolu=nagoreinadolu-1;

        } else if(arr[i]=='L')
        {
            nadqsnoinalqwo=nadqsnoinalqwo+1;

        } else if(arr[i]=='R')
        {

            nadqsnoinalqwo=nadqsnoinalqwo-1;

        }
    }

    izhod(nagoreinadolu,nadqsnoinalqwo);
}

int main()
{
    char redica[100];

    cin>>redica;
    namiranenarazlika(redica);
    cout<<endl;
    return 0;
}
